VismaBouwsoftAPICalls.v1_GET_QuantityCalculation Method
v1_GET_QuantityCalculation() as String

This API call is used to get fields of a(n) QuantityCalculation(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /QuantityCalculation/
or
API Path: /QuantityCalculation/{id}
or
API Path: /QuantityCalculation/FieldInfo/

You can make this API call:
* without the key field id to get a list of QuantityCalculation
* with the key field id as the path parameter (the specific id of the QuantityCalculation you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
quantitycalculation_id 1 tpLong 0 No No No
quantitycalculationline_id 1 tpLong 0 No No No
parent_type 2 tpString 0 No Yes No
parent_id 1 tpLong 0 No No No
parent_fieldnr 1 tpLong 0 No No No
formula 2 tpString 0 No Yes No
enabled 5 tpBool 0 No Yes No
line_linenr 1 tpLong 0 No No No
line_description 2 tpString 0 No Yes No
line_q0 4 tpDouble 0 No Yes No
line_q1 4 tpDouble 0 No Yes No
line_q2 4 tpDouble 0 No Yes No
line_q3 4 tpDouble 0 No Yes No
line_vf 4 tpDouble 0 No Yes No
line_a 4 tpDouble 0 No Yes No
line_b 4 tpDouble 0 No Yes No
line_total 4 tpDouble 0 No No No
line_altunit_m 4 tpDouble 0 No Yes No
line_altunit_m2 4 tpDouble 0 No Yes No
line_altunit_m3 4 tpDouble 0 No Yes No
line_altunit_bm2 4 tpDouble 0 No Yes No
line_altunit_kg 4 tpDouble 0 No Yes No
line_info_length 4 tpDouble 0 No Yes No
line_info_width 4 tpDouble 0 No Yes No
line_info_height 4 tpDouble 0 No Yes No
line_info_thickness 4 tpDouble 0 No Yes No
line_info_nrofdoors 1 tpLong 0 No Yes No
line_info_nrofwindows 1 tpLong 0 No Yes No
line_info_zone 2 tpString 0 No Yes No
line_info_floor 2 tpString 0 No Yes No
line_info_flat 2 tpString 0 No Yes No
line_info_room 2 tpString 0 No Yes No
ts_lastupdate 6 tpDateNullString 0 No No No

/QuantityCalculation/

API Path: /QuantityCalculation/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/QuantityCalculation

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: OlGfWxflfVzSffmODtzRqjjIfmVVIOtGjmGtzDtbAGfGDVIVlD
ParameterName: Clientnr, ParameterValue: 115

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/55018”, “Records”: [
  {
    "id": –29153,
    "quantitycalculation_id": 29153,
    "quantitycalculationline_id": 0,
    "parent_type": "costline",
    "parent_id": 80301,
    "parent_fieldnr": 1,
    "formula": "BAMOUNTOFCOSTLINE(1)",
    "enabled": true,
    "line_linenr": 0,
    "line_description": "",
    "line_q0": 0,
    "line_q1": 0,
    "line_q2": 0,
    "line_q3": 0,
    "line_vf": 0,
    "line_a": 0,
    "line_b": 0,
    "line_total": 0,
    "line_altunit_m": 0,
    "line_altunit_m2": 0,
    "line_altunit_m3": 0,
    "line_altunit_bm2": 0,
    "line_altunit_kg": 0,
    "line_info_length": 0,
    "line_info_width": 0,
    "line_info_height": 0,
    "line_info_thickness": 0,
    "line_info_nrofdoors": 0,
    "line_info_nrofwindows": 0,
    "line_info_zone": "",
    "line_info_floor": "",
    "line_info_flat": "",
    "line_info_room": "",
    "ts_lastupdate": ""
  },
  {
    "id": –29151,
    "quantitycalculation_id": 29151,
    "quantitycalculationline_id": 0,
    "parent_type": "costline",
    "parent_id": 80310,
    "parent_fieldnr": 1,
    "formula": "(H
D2)+(BD)+((H2)+B)BO",
    "enabled": true,
    "line_linenr": 0,
    "line_description": "",
    "line_q0": 0,
    "line_q1": 0,
    "line_q2": 0,
    "line_q3": 0,
    "line_vf": 0,
    "line_a": 0,
    "line_b": 0,
    "line_total": 0,
    "line_altunit_m": 0,
    "line_altunit_m2": 0,
    "line_altunit_m3": 0,
    "line_altunit_bm2": 0,
    "line_altunit_kg": 0,
    "line_info_length": 0,
    "line_info_width": 0,
    "line_info_height": 0,
    "line_info_thickness": 0,
    "line_info_nrofdoors": 0,
    "line_info_nrofwindows": 0,
    "line_info_zone": "",
    "line_info_floor": "",
    "line_info_flat": "",
    "line_info_room": "",
    "ts_lastupdate": ""
  }
,

]
}

/QuantityCalculation/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/QuantityCalculation/70126

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PIOfWxfImAzSftrbPfzRqGVOfAVtGfPDftjbzjkrfjrfUbUIPG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 70126,
    "quantitycalculation_id": 29219,
    "quantitycalculationline_id": 70126,
    "parent_type": "orderline",
    "parent_id": 142294,
    "parent_fieldnr": 2,
    "formula": "",
    "enabled": true,
    "line_linenr": 1,
    "line_description": "Testlijn 2 met typfout",
    "line_q0": 12.1,
    "line_q1": 1,
    "line_q2": 1,
    "line_q3": 1,
    "line_vf": 1,
    "line_a": 0,
    "line_b": 0,
    "line_total": 12.1,
    "line_altunit_m": 0,
    "line_altunit_m2": 0,
    "line_altunit_m3": 0,
    "line_altunit_bm2": 0,
    "line_altunit_kg": 0,
    "line_info_length": 0,
    "line_info_width": 0,
    "line_info_height": 0,
    "line_info_thickness": 0,
    "line_info_nrofdoors": 0,
    "line_info_nrofwindows": 0,
    "line_info_zone": "",
    "line_info_floor": "",
    "line_info_flat": "",
    "line_info_room": "",
    "ts_lastupdate": "2026–05–07 09:22:09"
  }
]
}

/QuantityCalculation/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/QuantityCalculation/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "quantitycalculation_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "quantitycalculationline_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]